# frozen_string_literal: true

require_relative 'lib/codebreaker/version'

Gem::Specification.new do |spec|
  spec.name          = 'codebreakerq'
  spec.version       = Codebreaker::VERSION
  spec.authors       = ['bastare']
  spec.email         = ['noobfrizz1@gmail.com']

  spec.summary       = 'Game `Codebreaker`'
  spec.description   = ''
  spec.homepage      = 'https://github.com/bastare/codebreaker.git'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'cli-ui'
  spec.add_development_dependency 'yaml'
  spec.add_development_dependency 'fasterer', '~> 0.8.3'
  spec.add_development_dependency 'lefthook', '~> 0.7.2'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec' 
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'
  spec.add_development_dependency 'simplecov'
end
